Subject: Re: [bitcoin-dev] Eli Dourado on "governance"

From: Mashuri Clark <[email-masked]>
Date: Wed, 5 Aug 2015 13:28:27 +0000 (UTC)

CORRECTION: That's Paul Sztorc. Not Peter.  Apologies for my abysmal proofreading.

--
MC

On Tue, Aug 4, 2015 at 8:08 PM -0700, "Eric Lombrozo via bitcoin-dev" <[email-masked]> wrote:

Rather than speculating on fake markets, why don’t we use theory, empirical data, and engineering to fix the damn problems?
On Aug 4, 2015, at 11:28 AM, Owen via bitcoin-dev <[email-masked]> wrote:
Given there is no money at stake in these prediction games, it is no surprise that the results are implausible.

On August 4, 2015 10:22:19 AM EDT, Anthony Towns via bitcoin-dev <[email-masked]> wrote:
On 4 August 2015 at 01:22, Gavin Andresen via bitcoin-dev <[email-masked]> wrote:
And the preliminary results of using a prediction market to try to wrestle with the tough tradeoffs looks roughly correct to me, too:   https://blocksizedebate.com/
​The scicast prediction market is shutdown atm (since early July?) so those numbers aren't live. But...
Network hash rate
 3,255.17 PH/s  (same block size) 5,032.64 PH/s  (block size increase)

 4,969.68 PH/s  (no replace-by-fee)
 3,132.09 PH/s  (replace-by-fee)
Those numbers seem completely implausible: that's ~2.9-3.6 doublings of the current hashrate (< 400PH/s) in 17 months, when it's taken 12 months for the last doubling, and there's a block reward reduction due in that period too. (That might've been a reasonable prediction sometime in the past year, when doublings were slowing from once every ~45 days to once a year; it just doesn't seem a supportable prediction now)
That the PH/s rate is higher with bigger blocks is surprising, but given that site also predicts USD/BTC will be $280 with no change but $555 with bigger blocks, so I assume that difference is mostly due to price. Also, 12.5btc at $555 each is about 23 btc at $300 each, so if that price increase is realistic, it would compensate for almost all of the block reward reduction.
Daily transaction volume 168,438.22 tx/day  (same block size) 193,773.08 tx/day  (block size increase)
 192,603.80 tx/day  (no replace-by-fee) 168,406.73 tx/day  (replace-by-fee)

That's only a 15% increase in transaction volume due to the block size increase; I would have expected more? 168k-194k tx/day is also only a 30%-50% increase in transaction volume from 130k tx/day currently. If that's really the case, then a 1.5MB-2MB max block size would probably be enough for the next two years...
(Predicting that the node count will drop from ~5000 to ~1200 due to increasing block sizes seems quite an indictment as far as centralisation risks go; but given I'm not that convinced by the other predictions, I'm not sure I want to give that much weight to that one either)
Cheers,aj
-- 
Anthony Towns <[email-masked]>

bitcoin-dev mailing list
[email-masked]
https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
_______________________________________________
bitcoin-dev mailing list
[email-masked]
https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev